.grid {
    width: 100%;
    .row:before,
    .row:after {
        content: "";
        display: table;
        clear: both;
    }
    *[class*='col-'] {
        box-sizing: border-box;
        float: left;
        min-height: 1px;
        padding: 0 8px;
    }

    /* 4 column grid */
    .col-1  { width: 8.33%;  }
    .col-2  { width: 16.66%; }
    .col-3  { width: 25%;    }
    .col-4  { width: 33.33%; }
    .col-5  { width: 41.66%; }
    .col-6  { width: 50%;    }
    .col-7  { width: 58.33%; }
    .col-8  { width: 66.66%; }
    .col-9  { width: 75%;    }
    .col-10 { width: 83.33%; }
    .col-11 { width: 91.66%; }
    .col-12 { width: 100%;   }
    .col-collapse {}

    /* responsive grid system */
    /**
     * now I know that I would need more
     * levels of responsive grids, but
     * for now, I think it's simpler to just
     * use a full-width block for smaller
     * screens
     */
    @media all and (max-width: 800px) {
        [class*='col-'] {
            width: 100%;
        }
        .col-collapse { display: none; }
    }


}

